Show / Hide Table of Contents

# Class LoggerExtensions

A class providing extensions for various loggers.

##### Inheritance

Object
LoggerExtensions

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Logging

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class LoggerExtensions

### Methods

| Improve this Doc View Source

#### GetChildLogger(Logger, String)

Gets a child logger, if supported. Currently the only defined and supported logger is StandardLogger, and most plugins will only ever receive this anyway.

##### Declaration

    public static Logger GetChildLogger(this Logger logger, string name)

##### Parameters

Type | Name | Description
--- | --- | ---
Logger | logger | the parent Logger
String | name | the name of the child

##### Returns

Type | Description
--- | ---
Logger | the child logger